Bug 435113 - Hang at graphical login if Huawei E220 USB modem plugged in
Hang at graphical login if Huawei E220 USB modem plugged in
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 08:42 EST by Robin Green
Modified: 2008-02-29 10:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 10:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2008-02-27 08:42:47 EST
Description of problem:
Screen goes blank after rhgb, and then nothing happens, if I have my Huawei USB
modem plugged in. Nothing in /var/log/messages. (However, syslog is still alive
- if I disconnect the USB modem, that gets recorded in /var/log/messsages)

Version-Release number of selected component (if applicable):
kernel-2.6.23.15-137.fc8

How reproducible:
Always

Steps to Reproduce:
1. Plug in USB modem
2. Switch on computer
  
Additional info:
This bug does NOT occur with kernel-2.6.24.2-7.fc8.

Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem

NOTE: I had previously made the following two changes to my system, that I found
on a blog at http://www.evil.ie/bleh/:

1. This is to avoid the modem getting disconnected:

--- /usr/share/hal/fdi/preprobe/10osvendor/20-broken-usb-sticks.fdi.orig
+++ /usr/share/hal/fdi/preprobe/10osvendor/20-broken-usb-sticks.fdi
16:16:23.000000000 +0000
@@ -16,6 +16,11 @@
</match>
</match>
<!-- some usb sticks don't like polling -->
+     <match key="@storage.originating_device:usb.vendor_id" int="0x12d1">
+       <match key="@storage.originating_device:usb.product_id" int="0x1003">
+         <merge key="info.ignore" type="bool">true</merge>
+       </match>
+     </match>
       <match key="@storage.originating_device:usb.vendor_id" int="0x054c">
         <match key="@storage.originating_device:usb.product_id" int="0x008b">
           <merge key="storage.media_check_enabled" type="bool">false</merge>

2. This is to try and get the modem recognised by NetworkManager (which didn't
work for me):

install http://www.evil.ie/3/10-3g-modem.fdi to
/usr/share/hal/fdi/information/20thirdparty/10-3g-modem.fdi
Comment 1 Robin Green 2008-02-27 08:44:39 EST
D'oh! Got the kernel versions the wrong way around above!

This bug DOES occur with kernel-2.6.24.2-7.fc8.
This bus DOES NOT occur with 2.6.23.15-137.fc8.
Comment 2 Chuck Ebbert 2008-02-27 11:28:06 EST
Have you installed the latest firmware update? (version 11.117.07.00.67)
Comment 3 Pete Zaitcev 2008-02-27 14:21:34 EST
See also bug 253096 (but keep in mind that we did not have any such hangs
among reporters of that bug, so something else may be in play here).
Please don't dup until we know what is happening.
Comment 4 Robin Green 2008-02-28 13:13:28 EST
(In reply to comment #2)
> Have you installed the latest firmware update? (version 11.117.07.00.67)

No - Wikipedia says doing such may erase APN settings. I don't know how to
safely do that, given that I'm using a modem with a custom ISO image on it from
Hutchison 3G (aka 3).
Comment 5 Robin Green 2008-02-28 13:15:31 EST
(In reply to comment #3)
> See also bug 253096 (but keep in mind that we did not have any such hangs
> among reporters of that bug, so something else may be in play here).
> Please don't dup until we know what is happening.

The hal patch I applied (see above) is the same one mentioned as a workaround in
a comment to that bug.
Comment 6 Robin Green 2008-02-29 10:58:57 EST
I upgraded my kernel and could no longer reproduce this.

Note You need to log in before you can comment on or make changes to this bug.